@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');


:root {
    /* Cor Background */
    --bg-base: #ffffff;
    --bg-base-dark: #000;
    --bg-base-grey: #f2f2f5;
    --bg-base-yellow: #ffc757;

    /* Cor primaria */

    /* Cor secundaria */


    /* Cor para fonts */
    --text-dark: #202020;
    --text-grey: #7D7D7D;
    --text-light: #fff;
    --text-yellow: #ffc757;
    --text-danger: red;

    /* Cor para butões */
    --color-bg-btn-dark: #000000;
    --color-bg-btn-danger: red;
    --color-bg-btn-sucess: green;
    --color-bg-btn-light: ;


    --color-bg-btn-hover: #7d7d7d;
    --color-bg-btn-danger-hover: rgb(182, 0, 0);

    /* Sombras */
    --box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.151);

    /* Transições */
    --transition-all: all 0.3s ease;

    /* Bordas */
    --color-border: #7d7d7d;
}

/* Configuração padrão para botões */
.btn {
    border: none;
    background-color: transparent;
    cursor: pointer;
}

* {
    margin: 0;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    box-sizing: border-box;
    color: var(--text-dark);
    text-decoration: none;
}

body {
    display: flex;
    flex-direction: column;
    background-color: var(--bg-base);
    height: 100vh;
    justify-content: center;
    align-items: center;
}

.conteiner_recovery {
    padding: 24px;
    width: 500px;

    & .row-recovery {
        display: flex;
        flex-direction: column;
        width: 100%;
        padding: 12px 12px 12px 12px;
        border-radius: 10px;
        background-color: var(--bg-base-grey-dark);
        box-shadow: var(--box-shadow);

        & form {
            display: flex;
            flex-direction: column;
            gap: 10px;
            width: 100%;
            padding: 24px;
            border: 1px solid var(--bg-base-grey-light);
            box-shadow: var(--box-shadow);

            & label {

                span {
                    font-weight: 800;
                }
            }

            & input {
                border: none;
                border-bottom: 2px solid var(--text-dark);
                outline: none;
                padding: 10px;
            }

            & input:hover,
            input:focus {
                border-bottom: 2px solid var(--text-yellow);
            }


            & .dark {
                background-color: var(--color-bg-btn-dark);
                color: var(--text-light);
                border-radius: 5px;
                width: 100%;
                font-size: 20px;
                padding: 5px;
                transition: var(--transition-all);
            }

            & .dark:hover {
                background-color: var(--color-bg-btn-hover);
            }
        }

        & .erro {
            text-align: center;
            width: 100%;
            margin-top: 10px;
            color: var(--text-danger);
        }
    }
}

@media (max-width: 600px) {
    .conteiner_recovery {
        width: 300px;
    }
}